Making Order Payment
This step involves payment for the orders made. The authenticated user can do single order payment. Single order payment refers to payment for a single parcel only. There are various payment conditions that may appear such as insufficient credit (when user’s account do not have sufficient credit to perfom payment), sufficient credit (when there are sufficient credit for payment) and etc.
POST
https://demo.connect.easyparcel.sg/?ac=EPPayOrderBulk Body: application/x-www-form-urlencoded · action EPPayOrderBulk
Request parameters
Request L1
| Parameter | Type | Required | Description |
|---|---|---|---|
api | string(25) | Yes | Obtain from registered account. |
bulk | array | Yes | (Refer to Request L2) |
auto_ | boolean | Optional | Controls whether eligible coupons are automatically applied for the shipment. If this parameter is not specified, the behavior will follow the auto-apply coupon settings configured in EasyParcel. |
Request L2 · bulk[]
| Parameter | Type | Required | Description |
|---|---|---|---|
order_ | string(15) | Yes | Acquire from the order that placed. |
Sample code
php
<?php
$domain = "https://demo.connect.easyparcel.sg/?ac=";
$action = "EPPayOrderBulk";
$postparam = array(
'api' => 'xxxxxx',
'bulk' => array(
array(
'order_no' => 'EI-000JK',
),
array(
'order_no' => 'EI-000JK',
),
),
);
$url = $domain.$action;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postparam));
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
ob_start();
$return = curl_exec($ch);
ob_end_clean();
curl_close($ch);
$json = json_decode($return);
echo "<pre>"; print_r($json); echo "</pre>";
?>bash
curl -X POST 'https://demo.connect.easyparcel.sg/?ac=EPPayOrderBulk' \
--data-urlencode 'api=xxxxxx' \
--data-urlencode 'bulk[0][order_no]=EI-000JK' \
--data-urlencode 'bulk[1][order_no]=EI-000JK'Response
Response L1
| Field | Type | Description | Remarks |
|---|---|---|---|
api_ | string(10) | Validation result | (Refer to Appendix I) |
error_ | int(5) | Error code | (Refer to Appendix I) |
error_ | string(100) | Error message | (Refer to Appendix I) |
result | array | The response of the make order payment | (Refer to Response L2) |
Response L2 · result
| Field | Type | Description | Remarks |
|---|---|---|---|
orderno | string (15) | Valid order number. | Valid and authenticated. |
messagenow | string (50) | The message that shows the status of order. | |
parcel | array | The details of the parcel. | (Refer to Response L3) |
Response L3 · parcel
| Field | Type | Description | Remarks |
|---|---|---|---|
parcelno | string (15) | Parcel number. | |
awb | string (45) | Airway bill number. | |
awb_ | string (300) | Link of airway bill ID. |
Response samples
json
{
"api_status":"Success",
"error_code":"0",
"error_remark":"",
"result":[
{
"orderno":"EI-000JK",
"messagenow":"Fully paid",
"parcel":[
{
"parcelno":"EP-00016",
"awb":"86983174113435",
"awb_id_link":"http:\/\/demo.connect.easyparcel.sg\/?ac=AWBLabel&id=bFk1NHNBQ08jNDYx"
}
]
},
{
"orderno":"EI-000JK",
"messagenow":"Fully paid",
"parcel":[
{
"parcelno":"EP-00016",
"awb":"86983174113435",
"awb_id_link":"http:\/\/demo.connect.easyparcel.sg\/?ac=AWBLabel&id=bFk1NHNBQ08jNDYx"
}
]
}
]
}json
{
"api_status":"Error",
"error_code":"3",
"error_remark":"Required api key",
"result":[
]
}